Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server.jmx
Class Invoker

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.mq.server.jmx.Invoker

All Implemented Interfaces:
  InvokerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class Invoker
extends org.jboss.system.ServiceMBeanSupport
implements InvokerMBean

Adapts JBossMQService to deliver JMSServerInvoker.

Version:
  $Revision: 1.2 $
Author:
  Peter Antman

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`Invoker()`

Method Summary
`protected void` | `createService()`
`JMSServerInvoker` | `getInvoker()`
`javax.management.ObjectName` | `getNextInterceptor()`
`void` | `setNextInterceptor(javax.management.ObjectName jbossMQService)`
`protected void` | `startService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### Invoker

    public Invoker()

Method Detail

### getNextInterceptor

    public javax.management.ObjectName getNextInterceptor()

  Specified by:
    `getNextInterceptor` in interface `InvokerMBean`

### setNextInterceptor

    public void setNextInterceptor(javax.management.ObjectName jbossMQService)

  Specified by:
    `setNextInterceptor` in interface `InvokerMBean`

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### createService

    protected void createService()
                          throws Exception

  Throws:
    `Exception`
  See Also:
    `ServiceMBeanSupport.createService()`

### getInvoker

    public JMSServerInvoker getInvoker()

  Specified by:
    `getInvoker` in interface `InvokerMBean`
  See Also:
    `InvokerMBean.getInvoker()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.